Package Details: i3-gaps-next-git 4.18.3.r255.g9688a894-1

Git Clone URL: https://aur.archlinux.org/i3-gaps-next-git.git (read-only, click to copy)
Package Base: i3-gaps-next-git
Description: A fork of i3wm tiling window manager (development branch) with more features, including gaps
Upstream URL: https://github.com/Airblader/i3/tree/gaps-next
Keywords: gaps i3
Licenses: BSD
Groups: i3-vcs
Conflicts: i3-gaps, i3-gaps-git, i3-git, i3-wm, i3bar, i3bar-git
Provides: i3-wm
Submitter: bandali
Maintainer: Airblader
Last Packager: Airblader
Votes: 128
Popularity: 0.74
First Submitted: 2015-01-04 04:40
Last Updated: 2020-10-20 08:12

Dependencies (22)

Required by (43)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

madscience commented on 2019-01-05 05:25

Just in case you need it, I'm currently using i3-gaps-next-git built on:

Build Date : Fri 14 Dec 2018 12:21:53 PM EST

So whatever is causing the build error happened since then

madscience commented on 2019-01-05 05:18

I just attempted to build using this PKGBUILD but substituting the repo, and I got the same error:

/usr/bin/ld: ./libi3.a(a-string.o): undefined reference to symbol 'g_utf8_make_valid' /usr/bin/ld: /usr/lib/libglib-2.0.so.0: error adding symbols: DSO missing from command line collect2: error: ld returned 1 exit status

Airblader commented on 2019-01-04 23:38

@wjeng @madscience Could either one of you try building this PKGBUILD but just replacing the repository URL with the one for i3 (Airblader/i3 → i3/i3)? Just so we make sure we use the current PKGBUILD and the current i3 git HEAD.

Appreciate your support!

madscience commented on 2019-01-04 22:31

I can confirm the same error when building with pikaur:

/usr/bin/ld: ./libi3.a(a-string.o): undefined reference to symbol 'g_utf8_make_valid' /usr/bin/ld: /usr/lib/libglib-2.0.so.0: error adding symbols: DSO missing from command line collect2: error: ld returned 1 exit status make[1]: [Makefile:1582: i3] Error 1 make[1]: Waiting for unfinished jobs.... /usr/bin/ld: ./libi3.a(a-string.o): undefined reference to symbol 'g_utf8_make_valid' /usr/bin/ld: /usr/lib/libglib-2.0.so.0: error adding symbols: DSO missing from command line collect2: error: ld returned 1 exit status make[1]: *** [Makefile:1676: i3bar/i3bar] Error 1

my version of glib 2 is 2.58.2-1, it's the most up to date.

wjeng commented on 2019-01-04 21:31

@Airblader Both i3 and i3-gaps build fine. I once accidentally did "yay -S i3-gaps-doubleborder" and got a similar error:

/usr/bin/ld: src/i3-util.o: undefined reference to symbol g_markup_escape_text'

/usr/bin/ld: /usr/lib/libglib-2.0.so.0: error adding symbols: DSO missing from command line

Airblader commented on 2019-01-04 17:30

@wjeng I don't know what to tell you other than that you need glib2 >=2.52. The PKGBUILD for i3 is mostly the same. Does that one build for you?

wjeng commented on 2019-01-03 23:46

@Airblader I ran "pacman -S glib2" and it was already up to date. I also have glib-perl and glibc installed and up to date.

Airblader commented on 2019-01-03 20:56

@wjeng That sounds like the version of glib is too old

wjeng commented on 2019-01-03 07:30

When building (using yay), I get this error message:

/usr/bin/ld: ./libi3.a(a-string.o): undefined reference to symbol 'g_utf8_make_valid'

/usr/bin/ld: /usr/lib/libglib-2.0.so.0: error adding symbols: DSO missing from command line

collect2: error: ld returned 1 exit status

I already have i3-gaps installed, I'm just trying to switch to this package. What should I do?

WiLLiE commented on 2017-10-12 21:02

@Airblader Thanks, it worked.